<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] ?: array()) + array("_ead9f7746c5d5e2801ce5704837" . "fb63b" => base64_decode("U0VMRUNUIENPVU5UKDEpIEZST00gKFNFTEVDVCB1c2VyX2lkIEZST00gc3RhdF91cGRhdGVzIFdIRVJFIGFnZ3JlZ2F0aW9uID0gaW50OmFnZ3JlZ2F0a" . "W9uIEFORCA="), "aggregati" . "on" => base64_decode("YWdncm" . "VnYXRp" . "b24="), "_d9e86995f0bc6219b3823d84223" . "26153" => base64_decode("U0VMRUNUIHVzZXJfaWQsIENPVU5UKG9iamVjdF9pZCkgb2JqZWN0cywgQ09VTlQoRElTVElOQ1Qgb2JqZWN0X2lkKSB1bmlxdWVfb2JqZWN0cyBGUk9NIHN0YXRfdXBkYXRlcyBXSEV" . "SRSBhZ2dyZWdhdGlvbiA9IGludDphZ2dyZWdhdGlvbiBBTkQg"), "_79a5c686" . "2da55a81b" . "bba54a4e9" . "1b2e61" => base64_decode("IEdST1VQIEJZIHVzZXJfaWQgT1JERVIgQ" . "lkgb2JqZWN0cyBERVNDLCB1bmlxdWVfb2" . "JqZWN0cyBERVNDLCB1c2VyX2lkIEFTQw=" . "="), "user" . "_id" => base64_decode("dXNlc" . "l9pZA" . "=="), "_07afa3e4c6840a90ca7" . "8db3521dfbe2b" => base64_decode("c3Rk" . "Q2xh" . "c3M="), "_0f939e9a" . "0c1b17527" . "bce221f42" . "ee827e" => base64_decode("IEdST1VQIEJZIHVzZXJf" . "aWQpIHQ="), "_c5aeb46d498" . "7229cd003332" . "3a7f86836" => base64_decode("b2Jq" . "ZWN0" . "cw=="));
use Claromentis\Core\DAL;
abstract class StatReportTopUpdaterList extends StatReportTopList
{
    function __construct($aggregation, $name)
    {
        parent::__construct($aggregation, $name);
        $this->most_popular_amount = 5;
        $this->rows_per_page = 10;
    }
    protected function CollectData($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4)
    {
        global $db;
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_d9e86995f0bc6219b3823d842232615" . "3"] . $filter->AsPart() . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_79a5c6862da55a81bbba54" . "a4e91b2e61"]);
        $query->Bind($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["aggre" . "gatio" . "n"], $this->aggregation);
        $query->BindPart($filter);
        $query->setLimit($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4);
        $result = $db->query($query);
        $data = array();
        while ($row = $result->fetchArray()) {
            $data[] = $row;
        }
        return $data;
    }
    protected function ExtendDataWithObjects($data)
    {
        return $data;
    }
    protected function PrepareOutputData($data, $start_row = 0)
    {
        $_189840d11056515e52402d1412a0b6e4 = array();
        foreach ($data as $info) {
            $_189840d11056515e52402d1412a0b6e4[] = array(++$start_row, $info[$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["user" . "_id"]], $info[$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_c5aeb46d49" . "87229cd0033" . "323a7f86836"]]);
        }
        return $_189840d11056515e52402d1412a0b6e4;
    }
    protected function GetNumRowsQuery()
    {
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_ead9f7746c5d5e2801ce5704" . "837fb63b"] . $filter->AsPart() . $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_0f939e9a0c1b17527" . "bce221f42ee827e"], $this->aggregation);
        $query->BindPart($filter);
        return $query;
    }
    protected function GetObjectClassName()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_07afa3e" . "4c6840a9" . "0ca78db3" . "521dfbe2" . "b"];
    }
}